PDBG(8)

NAME
pdbg - PowerPC FSI Debugger

SYNOPSIS
pdbg [options] command ...

DESCRIPTION
pdbg is a simple application to allow debugging of the host POWER processors from the BMC. It works in a similar way to JTAG programmers for embedded system development in that it allows you to access GPRs, SPRs and system memory. A remote gdb server is under development to allow integration with standard debugging tools.

OPTIONS

-p processor-id, --processor=processor-id

-c chiplet-id, --chip=chiplet-id

-t thread, --thread=thread

-a, --all
    Run command on all possible processors/chips/threads (default)

-b backend, --backend=backend
    Several backends are supported depending on which system you are using :

    fsi An experimental backend that uses bit-banging to access the host processor via the FSI bus.

    i2c The P8 only backend which goes via I2C.

    kernel
        The default backend which goes the kernel FSI driver.

-d backend-device, --device=backend-device
    For I2C the device node used by the backend to access the bus.
    For FSI the system board type, one of p8 or p9w
    Defaults to /dev/i2c4 for I2C

-s backend-device-address, --slave-address=backend-device-address
    Device slave address to use for the backend. Not used by FSI and defaults to 0x50 for I2C.

-V, --version

-h, --help

COMMANDS

getcfam address

putcfam address value [mask]

getscom address

putscom address value [mask]

getmem address count

putmem address

getvmem virtual address

getgpr gpr

putgpr gpr value

getnia

putnia value

getspr spr

putspr spr value

start

step count

stop

threadstatus

probe

EXAMPLES
Probe chip/processor/thread numbers :

pdbg -a probe Read SCOM register :

pdbg -a getscom 0xf000f Write SCOM register on secondary processor :

pdbg -p1 putscom 0x8013c02 0x0 Get thread status :

pdbg -a threadstatus Stop thread execution on thread 0-4 of processor 0 core/chip 22 :

pdbg -p0 -c22 -t0 -t1 -t2 -t3 stop
pdbg -p0 -c22 -t0 -t1 -t2 -t3 threadstatus Read GPR on thread 0 of processor 0 core/chip 22 :

pdbg -p0 -c22 -t0 getgpr 2 Read SPR 8 (LR) on thread 0 of processor 0 core/chip 22 :

pdbg -p0 -c22 -t0 getspr 8 Restart thread 0-4 execution on processor 0 core/chip 22 :

pdbg -p0 -c22 -t0 -t1 -t2 -t3 start
pdbg -p0 -c22 -t0 -t1 -t2 -t3 threadstatus Hardware Trace Macro :

pdbg -b host -d p9 -a htm_trace
[allow test to run]
pdbg -b host -d p9 -a htm_analyse

REPORTING BUGS
Report bugs at https://github.com/open-power/pdbg/issues

AUTHOR
This manual page was written by Frédéric Bonnard <frediz@debian.org>, for the Debian GNU/Linux system (but may be used by others).